﻿using System;

namespace emanual.Wpf.Apps
{
	public class OrderData
	{
		public string ProductName { get; set; }
		public int Price { get; set; }
		public int Quantity { get; set; }

		// コンストラクタ
		public OrderData(string name, int price, int quantity)
		{
			this.ProductName = name;
			this.Price = price;
			this.Quantity = quantity;
		}

		// 現在のオブジェクトと同じ内容のオブジェクトを作成する
		public OrderData Clone()
		{
			return new OrderData(this.ProductName, this.Price, this.Quantity);
		}

		// オブジェクトの文字列表現を返す（テスト用にしか使わない）
		public override string ToString()
		{
			return String.Format("{0}: {1} 円 {2} 個", this.ProductName, this.Price, this.Quantity);
		}
	} // end of OrderData class
} // end of emanual.Wpf.Apps namespace
